Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.sld
Interface Mark

All Superinterfaces:
  ExternalGraphicOrMark

    @XmlElement(value="Mark")
    public interface Mark

extends ExternalGraphicOrMark

Indicate that one of a few predefined shapes will be drawn at the points of the geometry.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Fill` | `getFill()` Returns the object that indicates how the mark should be filled.
`Stroke` | `getStroke()` Returns the object that indicates how the edges of the mark will be drawn.
`Expression` | `getWellKnownName()` Returns the expression whose value will indicate the symbol to draw.
`void` | `setFill(Fill f)` Sets the object that indicates how the mark should be filled.
`void` | `setStroke(Stroke s)` Sets the object that indicates how the edges of the mark will be drawn.
`void` | `setWellKnownName(Expression name)` Sets the expression whose value will indicate the symbol to draw.

Methods inherited from interface ExternalGraphicOrMark
`accept`

Method Detail

### getWellKnownName

    @XmlElement(value="WellKnownName")
    Expression getWellKnownName()

  Returns the expression whose value will indicate the symbol to draw. At least the following values must be accepted: "square", "circle", "triangle", "star", "cross", or "x". If null, the default is "square".

### setWellKnownName

    @XmlElement(value="WellKnownName")
    void setWellKnownName(Expression name)

  Sets the expression whose value will indicate the symbol to draw. See `getWellKnownName()` for details.

### getFill

    @XmlElement(value="Fill")
    Fill getFill()

  Returns the object that indicates how the mark should be filled. Null means no fill.

### setFill

    @XmlElement(value="Fill")
    void setFill(Fill f)

  Sets the object that indicates how the mark should be filled. See `getFill()` for details.

### getStroke

    @XmlElement(value="Stroke")
    Stroke getStroke()

  Returns the object that indicates how the edges of the mark will be drawn. Null means that the edges will not be drawn at all.

### setStroke

    @XmlElement(value="Stroke")
    void setStroke(Stroke s)

  Sets the object that indicates how the edges of the mark will be drawn. See `getStroke()` for details.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.